/*------------------------------------*\
    #NEWS-SLIDER for displaying multiple
    images in 2 columns on detail page
\*------------------------------------*/
/**
 * News slider component.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

$inuit-news-detail-slider-space-horizontal: 10px;
$inuit-news-detail-slider-arrow-size: 40px;

.#{$inuit-namespace}news-detail-slider,
%#{$inuit-namespace}news-detail-slider {
    margin: 0 -1 * $inuit-news-detail-slider-space-horizontal;

    .slick-slide {
        padding: 0;

        @media #{$medium-up} {
            padding: 0 $inuit-news-detail-slider-space-horizontal;
        }
    }

    .c-news-slider__arrow {
        height: $inuit-news-detail-slider-arrow-size;
        width: $inuit-news-detail-slider-arrow-size;
        margin-top: -.5 * $inuit-news-detail-slider-arrow-size;

        > svg {
            height: inherit;
            width: inherit;
            background: rgba(255,255,255,0.8);
            padding: 5px;
        }

        @media #{$small-only} {
            top: 50%;
        }
    }

    .o-slider__arrow--prev {
        margin-left: $inuit-news-detail-slider-space-horizontal;
    }

    .o-slider__arrow--next {
        margin-right: $inuit-news-detail-slider-space-horizontal;
    }

    .c-news-slider {
        &__break,
        &__play {
            top: 10px;
            right: 10px;
        }
    }

}
